Subject: bug#481: gparted-1.0.0-0.1 comes with dependencies for systemd components

From: Klaus Ethgen <[email-masked]>
Date: Wed, 3 Jun 2020 13:09:30 +0100

Hi Mark,

Am Mi den  3. Jun 2020 um 12:53 schrieb Mark Hindley:
> On Wed, Jun 03, 2020 at 12:44:06PM +0100, Klaus Ethgen wrote:
> > > Well you were trying to install gparted and that does require logind
> > > functionality so you do want it and would use it, if only indirectly.
> > 
> > Thats exactly the problem, it doesn't. That is a weak dependency that
> > should at most be recommended. That how it worked with earlier versions
> > too. That dependency for logind is just artefactual and not really
> > needed.
> 
> OK. That is fine. I understand better. However, gparted is not a forked package
> and Devuan uses Debian's packages directly. If you want them to reconsider that
> decision, please would report the issue directly to Debian's BTS.

That is exactly the problem. Debian is not willing to fix that
dependencies. I had that with many packages right now (libvirt for
example where I rebuild my own package without that poison
dependencies). I assume that they add this dependencies fully
intentional to force systemd more widely.

Keep in mind that it is still possible to drive a debian system without
systemd. But this dependencies makes it hard and harder to do so. There
are people in Debian that I know of (namely Michael Biebl, but not the
only one) who try to do everything that is possible to drop
compatibility with other init systems.

> Could you submit a new report for that against libelogind0, please?

Already done.

Regards
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C